#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.sat-elita.info/                                          #
#                                                                              #
################################################################################

  if [ ! -e /swap/swapfile ]; then
    echo "SWAP Building.." > /dev/dbox/fp0
    echo "SWAP Building.."
    mkdir /swap
    dd if=/dev/zero of=/swap/swapfile bs=1024 count=131072
    mkswap /swap/swapfile
    swapon /swap/swapfile
  else
    echo "SWAP FILE ON" > /dev/dbox/fp0
    echo "SWAP FILE ON"
    mkswap /swap/swapfile
    swapon /swap/swapfile
    sleep 2
  fi

exit 0